### Name: SSny0
### Title: Richards Function Models with specific values of the shape
###   parameter 'ny'
### Aliases: SSnym1 SSnym1o3 SSny0 SSny0Log SSny0LogB SSny1 SSny2 SSny3
###   SSny4
### Keywords: package

### ** Examples
 
   x <- c(25, 50, 100, 200, 400)

            fpl(        x, 0.1, 2.4,  100,      2)
          SSny1(        x, 0.1, 2.4,  2,      100)
      SSnyFixed(1,      x, 0.1, 2.4,  2,      100)
          SSfpl(   log(x), 0.1, 2.4,  log(100), 1/2)
       richards(        x, 0.1, 2.4,  x50 = 100, b = 2, ny = 1)
          SSfpl(  -log(x), 2.4, 0.1, -log(100), 1/2)
  SSrichardsLog(   log(x), 0.1, 2.4,  log(100), 1/2, 1)
   SSnyFixedLog(1, log(x), 0.1, 2.4,  log(100), 1/2)

   a <- 2.5
   d <- 0
 x50 <- 100
   b <- 2
   e <- solveE(x50 = x50, b = b, ny = 0)
Asym <- 2.5
  b2 <- 1/e^b
  b3 <- exp(b)

   richards(     x, 2.5, 0.0, x50 = 100, b = 2, ny = 0)
      SSny0(     x, 2.5, 0.0, 2, 100)
 SSgompertz(log(x), Asym, b2, b3)
   SSny0Log(log(x), 2.5,  0.0, log(100), 1/2)

# The following calls does return identical values:

   x <- c(25, 50, 100, 200, 400)

       richards(        x, 0.1, 2.4, x50 = 100, b = 2, ny = 2)
  SSrichardsLog(   log(x), 0.1, 2.4,   log(100),  1/2, ny = 2)

# The following calls does return identical values:

   x <- c(25, 50, 100, 1000, 10000)

        # x/x50 = (-x)/(-x50):
        c(   SSrichards(         x,    a = 0.1, d = 2.4,  
                        x50 =      100,     b =    2, ny = 2))
        c(   SSrichards(        -x,    a = 0.1, d = 2.4,  
                        x50 =     -100,     b =    2, ny = 2))

        # b * (log(x) - log(xmid)) = -b * (- log(x) - -log(xmid)), 
        # note the sign on 'scal':
        c(SSrichardsLog(     log(x),   a = 0.1, d = 2.4, 
                        xmid =  log(100), scal =  1/2, ny = 2))
        c(SSrichardsLog(    -log(x),   a = 0.1, d = 2.4, 
                        xmid = -log(100), scal = -1/2, ny = 2))

   (2.4-c(SSrichardsLog(    (log(x)),  a = 2.4, d = 0.1, 
                        xmid =  log(100), scal =  1/2, ny = 2)))+0.1
   (2.4-c(SSrichardsLog(   -(log(x)),  a = 2.4, d = 0.1, 
                        xmid = -log(100), scal = -1/2, ny = 2)))+0.1

# The following calls does NOT return identical values:

   x <- c(25, 50, 100, 200, 400)

  richards(        x, 0.1, 2.4,  x50 = 100, b = 1, ny = -1)
SSrichards(        x, 0.1, 2.4,  x50 = 100, b = 1, ny = -1)

sSrichards <- selfStart( ~ d + (a - d) / (1 + (2^ny-1)*(input/x50)^b)^(1/ny),
  function (mCall, data, LHS) 
    initialRichards(mCall, data, LHS), c("a", "d", "b", "x50", "ny"))
sSrichards(        x, 0.1, 2.4,  x50 = 100, b = 1, ny = -1)



